[-]
[+]
|
Changed |
nfsen.spec
|
|
[-]
[+]
|
Added |
nfsen-rpm-rh.conf
^
|
@@ -0,0 +1,286 @@
+##############################
+#
+# NfSen master config file
+#
+# $Id: nfsen-dist.conf 22 2007-11-20 12:27:38Z phaag $
+#
+# Configuration of NfSen:
+# Set all the values to fit your NfSen setup and run the 'install.pl'
+# script from the nfsen distribution directory.
+#
+# The syntax must conform to Perl syntax.
+#
+##############################
+#
+# NfSen default layout:
+# Any scripts, modules or profiles are installed by default under $BASEDIR.
+# However, you may change any of these settings to fit your requested layout.
+$NF_PREFIX = "/usr";
+
+#
+# Required for default layout
+$BASEDIR = "/usr/share/nfsen";
+
+#
+# Where to install the NfSen binaries
+$BINDIR="${NF_PREFIX}/bin";
+
+#
+# Where to install the NfSen Perl modules
+$LIBEXECDIR="${BASEDIR}/libexec";
+
+#
+# Where to install the config files
+$CONFDIR="/etc/nfsen";
+
+#
+# NfSen html pages directory:
+# All php scripts will be installed here.
+# URL: Entry point for nfsen: http://<webserver>/nfsen/nfsen.php
+$HTMLDIR = "/var/www/html/nfsen/";
+
+#
+# Where to install the docs
+$DOCDIR="${HTMLDIR}/doc";
+
+#
+# Var space for NfSen
+$VARDIR="/var";
+
+#
+# directory for all pid files
+$PIDDIR="${VARDIR}/run/nfsen";
+
+#
+# The Profiles stat directory, where all profile information
+# RRD DBs and png pictures of the profile are stored
+$PROFILESTATDIR="${BASEDIR}/profiles-stat";
+
+#
+# The Profiles directory, where all netflow data is stored
+$PROFILEDATADIR="${BASEDIR}/profiles-data";
+
+#
+# Where go all the backend plugins
+$BACKEND_PLUGINDIR="${BASEDIR}/plugins";
+
+#
+# Where go all the frontend plugins
+$FRONTEND_PLUGINDIR="${HTMLDIR}/plugins";
+
+#
+# nfdump tools path
+$PREFIX = "${NF_PREFIX}/bin";
+
+#
+# nfsend communication socket
+$COMMSOCKET = "$PIDDIR/nfsen.comm";
+
+# BASEDIR unrelated vars:
+#
+# Run nfcapd as this user
+# This may be a different or the same uid than your web server.
+# Note: This user must be in group $WWWGROUP, otherwise nfcapd
+# is not able to write data files!
+$USER = "netflow";
+
+# user and group of the web server process
+# All netflow processing will be done with this user
+$WWWUSER = "apache";
+$WWWGROUP = "apache";
+
+# Receive buffer size for nfcapd - see man page nfcapd(1)
+$BUFFLEN = 200000;
+
+#
+# Directory sub hierarchy layout:
+# Possible layouts:
+#
+# 0 default no hierachy levels - flat layout - compatible with pre NfSen versions
+# 1 %Y/%m/%d year/month/day
+# 2 %Y/%m/%d/%H year/month/day/hour
+# 3 %Y/%W/%u year/week_of_year/day_of_week
+# 4 %Y/%W/%u/%H year/week_of_year/day_of_week/hour
+# 5 %Y/%j year/day-of-year
+# 6 %Y/%j/%H year/day-of-year/hour
+# 7 %Y-%m-%d year-month-day
+# 8 %Y-%m-%d/%H year-month-day/hour
+$SUBDIRLAYOUT = 1;
+
+# Compress flows while collecting 0 or 1
+$ZIPcollected = 0;
+
+# Compress flows in profiles 0 or 1
+$ZIPprofiles = 1;
+
+# number of nfprofile processes to spawn during the profiling phase
+# depends on how busy your system is and how many CPUs you have
+# on very busy systems increase it to a higher value
+$PROFILERS = 2;
+
+# if the PROFILEDATADIR is filled up to this percentage, a warning message will be printed.
+# set to 0 to disable the test
+$DISKLIMIT = 95;
+
+# number of nfprofile processes to spawn during the profiling phase
+$PROFILERS = 6;
+
+# Netflow sources
+# Define an ident string, port and colour per netflow source
+#
+# Required parameters:
+# ident identifies this netflow source. e.g. the router name,
+# Upstream provider name etc.
+# port nfcapd listens on this port for netflow data for this source
+# set port to '0' if you do not want a collector to be started
+# col colour in nfsen graphs for this source
+#
+# Optional parameters
+# type Collector type needed for this source. Can be 'netflow' or 'sflow'. Default is netflow
+# optarg Optional args to the collector at startup
+#
+# Syntax:
+# 'ident' => { 'port' => '<portnum>', 'col' => '<colour>', 'type' => '<type>' }
+# Ident strings must be 1 to 19 characters long only, containing characters [a-zA-Z0-9_].
+
+%sources = (
+ 'rt01' => { 'port' => '9995', 'col' => '#0000ff', 'type' => 'netflow' },
+ 'rt02' => { 'port' => '9996', 'col' => '#ff0000', 'type' => 'netflow' },
+);
+
+#
+# Low water mark: When expiring files, delete files until
+# size = $low_water % of max_size
+# typically 90
+$low_water = 90;
+
+#
+# syslog facility for periodic jobs
+# nfsen uses level 'debug', 'info', 'warning' and 'err'
+# Note: nfsen is very chatty for level 'debug' and 'info'
+# For normal operation, you may set the logging level in syslog.conf
+# to warning or error unless you want to debug NfSen
+$syslog_facility = 'local3';
+
+#
+# SYSLOG mess
+# Log socket type: Most *NIX such as LINUX and *BSD are fine with 'unix'
+# which is the default. You need to change that to 'stream' or 'inet' for
+# some Solaris version 8/9, AIX and others ..
+# You may set it to undef to prevent calling Sys::Syslog::setlogsock at all
+# ( works for Solaris 10 and newer Sys::Syslog module
+#
+# If not defined at all, 'unix' is assumed unless for Solaris, which defaults to 'stream'
+# $LogSocket = 'unix';
+
+#
+# Plugins
+# Plugins extend NfSen for the purpose of:
+# Periodic data processing, alerting-condition and alerting-action
+# For data processing a plugin may run for any profile or for a specific profile only.
+# Syntax: [ 'profile list', 'module' ]
+# profile list: ',' separated list of profiles ( 'profilegroup/profilename' ),
+# or '*' for any profile, '!' for no profile
+# module: Perl Module name, equal to plugin name
+# The profile list '!' make sense for plugins, which only provide alerting functions
+#
+# The module follows the standard Perl module conventions, with at least one
+# function: Init(). See demoplugin.pm for a simple template.
+#
+# A file with the same name in the FRONTEND_PLUGINDIR and .php extension is automatically
+# recongized as frontend plugin.
+#
+# Plugins are installed under
+# $BACKEND_PLUGINDIR and $FRONTEND_PLUGINDIR
+
+@plugins = (
+ # profile # module
+ # [ '*', 'demoplugin' ],
+);
|
[-]
[+]
|
Added |
nfsen-rpm-suse.conf
^
|
@@ -0,0 +1,286 @@
+##############################
+#
+# NfSen master config file
+#
+# $Id: nfsen-dist.conf 22 2007-11-20 12:27:38Z phaag $
+#
+# Configuration of NfSen:
+# Set all the values to fit your NfSen setup and run the 'install.pl'
+# script from the nfsen distribution directory.
+#
+# The syntax must conform to Perl syntax.
+#
+##############################
+#
+# NfSen default layout:
+# Any scripts, modules or profiles are installed by default under $BASEDIR.
+# However, you may change any of these settings to fit your requested layout.
+$NF_PREFIX = "/usr";
+
+#
+# Required for default layout
+$BASEDIR = "/usr/share/nfsen";
+
+#
+# Where to install the NfSen binaries
+$BINDIR="${NF_PREFIX}/bin";
+
+#
+# Where to install the NfSen Perl modules
+$LIBEXECDIR="${BASEDIR}/libexec";
+
+#
+# Where to install the config files
+$CONFDIR="/etc/nfsen";
+
+#
+# NfSen html pages directory:
+# All php scripts will be installed here.
+# URL: Entry point for nfsen: http://<webserver>/nfsen/nfsen.php
+$HTMLDIR = "/srv/www/htdocs/nfsen/";
+
+#
+# Where to install the docs
+$DOCDIR="${HTMLDIR}/doc";
+
+#
+# Var space for NfSen
+$VARDIR="/var";
+
+#
+# directory for all pid files
+$PIDDIR="${VARDIR}/run/nfsen";
+
+#
+# The Profiles stat directory, where all profile information
+# RRD DBs and png pictures of the profile are stored
+$PROFILESTATDIR="${BASEDIR}/profiles-stat";
+
+#
+# The Profiles directory, where all netflow data is stored
+$PROFILEDATADIR="${BASEDIR}/profiles-data";
+
+#
+# Where go all the backend plugins
+$BACKEND_PLUGINDIR="${BASEDIR}/plugins";
+
+#
+# Where go all the frontend plugins
+$FRONTEND_PLUGINDIR="${HTMLDIR}/plugins";
+
+#
+# nfdump tools path
+$PREFIX = "${NF_PREFIX}/bin";
+
+#
+# nfsend communication socket
+$COMMSOCKET = "$PIDDIR/nfsen.comm";
+
+# BASEDIR unrelated vars:
+#
+# Run nfcapd as this user
+# This may be a different or the same uid than your web server.
+# Note: This user must be in group $WWWGROUP, otherwise nfcapd
+# is not able to write data files!
+$USER = "netflow";
+
+# user and group of the web server process
+# All netflow processing will be done with this user
+$WWWUSER = "wwwrun";
+$WWWGROUP = "www";
+
+# Receive buffer size for nfcapd - see man page nfcapd(1)
+$BUFFLEN = 200000;
+
+#
+# Directory sub hierarchy layout:
+# Possible layouts:
+#
+# 0 default no hierachy levels - flat layout - compatible with pre NfSen versions
+# 1 %Y/%m/%d year/month/day
+# 2 %Y/%m/%d/%H year/month/day/hour
+# 3 %Y/%W/%u year/week_of_year/day_of_week
+# 4 %Y/%W/%u/%H year/week_of_year/day_of_week/hour
+# 5 %Y/%j year/day-of-year
+# 6 %Y/%j/%H year/day-of-year/hour
+# 7 %Y-%m-%d year-month-day
+# 8 %Y-%m-%d/%H year-month-day/hour
+$SUBDIRLAYOUT = 1;
+
+# Compress flows while collecting 0 or 1
+$ZIPcollected = 0;
+
+# Compress flows in profiles 0 or 1
+$ZIPprofiles = 1;
+
+# number of nfprofile processes to spawn during the profiling phase
+# depends on how busy your system is and how many CPUs you have
+# on very busy systems increase it to a higher value
+$PROFILERS = 2;
+
+# if the PROFILEDATADIR is filled up to this percentage, a warning message will be printed.
+# set to 0 to disable the test
+$DISKLIMIT = 95;
+
+# number of nfprofile processes to spawn during the profiling phase
+$PROFILERS = 6;
+
+# Netflow sources
+# Define an ident string, port and colour per netflow source
+#
+# Required parameters:
+# ident identifies this netflow source. e.g. the router name,
+# Upstream provider name etc.
+# port nfcapd listens on this port for netflow data for this source
+# set port to '0' if you do not want a collector to be started
+# col colour in nfsen graphs for this source
+#
+# Optional parameters
+# type Collector type needed for this source. Can be 'netflow' or 'sflow'. Default is netflow
+# optarg Optional args to the collector at startup
+#
+# Syntax:
+# 'ident' => { 'port' => '<portnum>', 'col' => '<colour>', 'type' => '<type>' }
+# Ident strings must be 1 to 19 characters long only, containing characters [a-zA-Z0-9_].
+
+%sources = (
+ 'rt01' => { 'port' => '9995', 'col' => '#0000ff', 'type' => 'netflow' },
+ 'rt02' => { 'port' => '9996', 'col' => '#ff0000', 'type' => 'netflow' },
+);
+
+#
+# Low water mark: When expiring files, delete files until
+# size = $low_water % of max_size
+# typically 90
+$low_water = 90;
+
+#
+# syslog facility for periodic jobs
+# nfsen uses level 'debug', 'info', 'warning' and 'err'
+# Note: nfsen is very chatty for level 'debug' and 'info'
+# For normal operation, you may set the logging level in syslog.conf
+# to warning or error unless you want to debug NfSen
+$syslog_facility = 'local3';
+
+#
+# SYSLOG mess
+# Log socket type: Most *NIX such as LINUX and *BSD are fine with 'unix'
+# which is the default. You need to change that to 'stream' or 'inet' for
+# some Solaris version 8/9, AIX and others ..
+# You may set it to undef to prevent calling Sys::Syslog::setlogsock at all
+# ( works for Solaris 10 and newer Sys::Syslog module
+#
+# If not defined at all, 'unix' is assumed unless for Solaris, which defaults to 'stream'
+# $LogSocket = 'unix';
+
+#
+# Plugins
+# Plugins extend NfSen for the purpose of:
+# Periodic data processing, alerting-condition and alerting-action
+# For data processing a plugin may run for any profile or for a specific profile only.
+# Syntax: [ 'profile list', 'module' ]
+# profile list: ',' separated list of profiles ( 'profilegroup/profilename' ),
+# or '*' for any profile, '!' for no profile
+# module: Perl Module name, equal to plugin name
+# The profile list '!' make sense for plugins, which only provide alerting functions
+#
+# The module follows the standard Perl module conventions, with at least one
+# function: Init(). See demoplugin.pm for a simple template.
+#
+# A file with the same name in the FRONTEND_PLUGINDIR and .php extension is automatically
+# recongized as frontend plugin.
+#
+# Plugins are installed under
+# $BACKEND_PLUGINDIR and $FRONTEND_PLUGINDIR
+
+@plugins = (
+ # profile # module
+ # [ '*', 'demoplugin' ],
+);
|
[-]
[+]
|
Deleted |
nfsen-rpm.conf
^
|
@@ -1,288 +0,0 @@
-##############################
-#
-# NfSen master config file
-#
-# $Id: nfsen-dist.conf 22 2007-11-20 12:27:38Z phaag $
-#
-# Configuration of NfSen:
-# Set all the values to fit your NfSen setup and run the 'install.pl'
-# script from the nfsen distribution directory.
-#
-# The syntax must conform to Perl syntax.
-#
-##############################
-#
-# NfSen default layout:
-# Any scripts, modules or profiles are installed by default under $BASEDIR.
-# However, you may change any of these settings to fit your requested layout.
-$DESTDIR = $ENV{'DESTDIR'};
-
-$NF_PREFIX = "/usr";
-
-#
-# Required for default layout
-$BASEDIR = "${DESTDIR}/usr/share/nfsen";
-
-#
-# Where to install the NfSen binaries
-$BINDIR="${DESTDIR}${NF_PREFIX}/bin";
-
-#
-# Where to install the NfSen Perl modules
-$LIBEXECDIR="${BASEDIR}/libexec";
-
-#
-# Where to install the config files
-$CONFDIR="${DESTDIR}/etc/nfsen";
-
-#
-# NfSen html pages directory:
-# All php scripts will be installed here.
-# URL: Entry point for nfsen: http://<webserver>/nfsen/nfsen.php
-$HTMLDIR = "${DESTDIR}/srv/www/htdocs/nfsen/";
-
-#
-# Where to install the docs
-$DOCDIR="${HTMLDIR}/doc";
-
-#
-# Var space for NfSen
-$VARDIR="${DESTDIR}/var";
-
-#
-# directory for all pid files
-$PIDDIR="${VARDIR}/run/nfsen";
-
-#
-# The Profiles stat directory, where all profile information
-# RRD DBs and png pictures of the profile are stored
-$PROFILESTATDIR="${BASEDIR}/profiles-stat";
-
-#
-# The Profiles directory, where all netflow data is stored
-$PROFILEDATADIR="${BASEDIR}/profiles-data";
-
-#
-# Where go all the backend plugins
-$BACKEND_PLUGINDIR="${BASEDIR}/plugins";
-
-#
-# Where go all the frontend plugins
-$FRONTEND_PLUGINDIR="${HTMLDIR}/plugins";
-
-#
-# nfdump tools path
-$PREFIX = "${NF_PREFIX}/bin";
-
-#
-# nfsend communication socket
-$COMMSOCKET = "$PIDDIR/nfsen.comm";
-
-# BASEDIR unrelated vars:
-#
-# Run nfcapd as this user
-# This may be a different or the same uid than your web server.
-# Note: This user must be in group $WWWGROUP, otherwise nfcapd
-# is not able to write data files!
-$USER = "netflow";
-
-# user and group of the web server process
-# All netflow processing will be done with this user
-$WWWUSER = "wwwrun";
-$WWWGROUP = "www";
-
-# Receive buffer size for nfcapd - see man page nfcapd(1)
-$BUFFLEN = 200000;
-
-#
-# Directory sub hierarchy layout:
-# Possible layouts:
-#
-# 0 default no hierachy levels - flat layout - compatible with pre NfSen versions
-# 1 %Y/%m/%d year/month/day
-# 2 %Y/%m/%d/%H year/month/day/hour
-# 3 %Y/%W/%u year/week_of_year/day_of_week
-# 4 %Y/%W/%u/%H year/week_of_year/day_of_week/hour
-# 5 %Y/%j year/day-of-year
-# 6 %Y/%j/%H year/day-of-year/hour
-# 7 %Y-%m-%d year-month-day
-# 8 %Y-%m-%d/%H year-month-day/hour
-$SUBDIRLAYOUT = 1;
-
-# Compress flows while collecting 0 or 1
-$ZIPcollected = 0;
-
-# Compress flows in profiles 0 or 1
-$ZIPprofiles = 1;
-
-# number of nfprofile processes to spawn during the profiling phase
-# depends on how busy your system is and how many CPUs you have
-# on very busy systems increase it to a higher value
-$PROFILERS = 2;
-
-# if the PROFILEDATADIR is filled up to this percentage, a warning message will be printed.
-# set to 0 to disable the test
-$DISKLIMIT = 95;
-
-# number of nfprofile processes to spawn during the profiling phase
-$PROFILERS = 6;
-
-# Netflow sources
-# Define an ident string, port and colour per netflow source
-#
-# Required parameters:
-# ident identifies this netflow source. e.g. the router name,
-# Upstream provider name etc.
-# port nfcapd listens on this port for netflow data for this source
-# set port to '0' if you do not want a collector to be started
-# col colour in nfsen graphs for this source
-#
-# Optional parameters
-# type Collector type needed for this source. Can be 'netflow' or 'sflow'. Default is netflow
-# optarg Optional args to the collector at startup
-#
-# Syntax:
-# 'ident' => { 'port' => '<portnum>', 'col' => '<colour>', 'type' => '<type>' }
-# Ident strings must be 1 to 19 characters long only, containing characters [a-zA-Z0-9_].
-
-%sources = (
- 'rt01' => { 'port' => '9995', 'col' => '#0000ff', 'type' => 'netflow' },
- 'rt02' => { 'port' => '9996', 'col' => '#ff0000', 'type' => 'netflow' },
-);
-
-#
-# Low water mark: When expiring files, delete files until
-# size = $low_water % of max_size
-# typically 90
-$low_water = 90;
-
-#
-# syslog facility for periodic jobs
-# nfsen uses level 'debug', 'info', 'warning' and 'err'
-# Note: nfsen is very chatty for level 'debug' and 'info'
-# For normal operation, you may set the logging level in syslog.conf
-# to warning or error unless you want to debug NfSen
-$syslog_facility = 'local3';
-
-#
-# SYSLOG mess
-# Log socket type: Most *NIX such as LINUX and *BSD are fine with 'unix'
-# which is the default. You need to change that to 'stream' or 'inet' for
-# some Solaris version 8/9, AIX and others ..
-# You may set it to undef to prevent calling Sys::Syslog::setlogsock at all
-# ( works for Solaris 10 and newer Sys::Syslog module
-#
-# If not defined at all, 'unix' is assumed unless for Solaris, which defaults to 'stream'
-# $LogSocket = 'unix';
-
-#
-# Plugins
-# Plugins extend NfSen for the purpose of:
-# Periodic data processing, alerting-condition and alerting-action
-# For data processing a plugin may run for any profile or for a specific profile only.
-# Syntax: [ 'profile list', 'module' ]
-# profile list: ',' separated list of profiles ( 'profilegroup/profilename' ),
-# or '*' for any profile, '!' for no profile
-# module: Perl Module name, equal to plugin name
-# The profile list '!' make sense for plugins, which only provide alerting functions
-#
-# The module follows the standard Perl module conventions, with at least one
-# function: Init(). See demoplugin.pm for a simple template.
-#
-# A file with the same name in the FRONTEND_PLUGINDIR and .php extension is automatically
-# recongized as frontend plugin.
-#
-# Plugins are installed under
-# $BACKEND_PLUGINDIR and $FRONTEND_PLUGINDIR
-
-@plugins = (
- # profile # module
|
[-]
[+]
|
Added |
nfsen.init.suse
^
|
@@ -0,0 +1,253 @@
+#!/bin/sh
+#
+# Template SUSE system startup script for example service/daemon nfsen
+# Copyright (C) 1995--2005 Kurt Garloff, SUSE / Novell Inc.
+#
+# This library is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2.1 of the License, or (at
+# your option) any later version.
+#
+# This library is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
+# USA.
+#
+# /etc/init.d/nfsen
+# and its symbolic link
+# /(usr/)sbin/rcnfsen
+#
+# Template system startup script for some example service/daemon nfsen
+#
+# LSB compatible service control script; see http://www.linuxbase.org/spec/
+#
+# Note: This template uses functions rc_XXX defined in /etc/rc.status on
+# UnitedLinux/SUSE/Novell based Linux distributions. If you want to base your
+# script on this template and ensure that it works on non UL based LSB
+# compliant Linux distributions, you either have to provide the rc.status
+# functions from UL or change the script to work without them.
+# See skeleton.compat for a template that works with other distros as well.
+#
+### BEGIN INIT INFO
+# Provides: nfsen
+# Required-Start: $syslog $remote_fs
+# Should-Start: $time
+# Required-Stop: $syslog $remote_fs
+# Should-Stop: $null
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: nfsen daemon p
+# Description: Start nfsen
+# continued on second line by '#<TAB>'
+# should contain enough info for the runlevel editor
+# to give admin some idea what this service does and
+# what it's needed for ...
+# (The Short-Description should already be a good hint.)
+### END INIT INFO
+#
+# Any extensions to the keywords given above should be preceeded by
+# X-VendorTag- (X-UnitedLinux- X-SuSE- for us) according to LSB.
+#
+# Notes on Required-Start/Should-Start:
+# * There are two different issues that are solved by Required-Start
+# and Should-Start
+# (a) Hard dependencies: This is used by the runlevel editor to determine
+# which services absolutely need to be started to make the start of
+# this service make sense. Example: nfsserver should have
+# Required-Start: $portmap
+# Also, required services are started before the dependent ones.
+# The runlevel editor will warn about such missing hard dependencies
+# and suggest enabling. During system startup, you may expect an error,
+# if the dependency is not fulfilled.
+# (b) Specifying the init script ordering, not real (hard) dependencies.
+# This is needed by insserv to determine which service should be
+# started first (and at a later stage what services can be started
+# in parallel). The tag Should-Start: is used for this.
+# It tells, that if a service is available, it should be started
+# before. If not, never mind.
+# * When specifying hard dependencies or ordering requirements, you can
+# use names of services (contents of their Provides: section)
+# or pseudo names starting with a $. The following ones are available
+# according to LSB (1.1):
+# $local_fs all local file systems are mounted
+# (most services should need this!)
+# $remote_fs all remote file systems are mounted
+# (note that /usr may be remote, so
+# many services should Require this!)
+# $syslog system logging facility up
+# $network low level networking (eth card, ...)
+# $named hostname resolution available
+# $netdaemons all network daemons are running
+# The $netdaemons pseudo service has been removed in LSB 1.2.
+# For now, we still offer it for backward compatibility.
+# These are new (LSB 1.2):
+# $time the system time has been set correctly
+# $portmap SunRPC portmapping service available
+# UnitedLinux extensions:
+# $ALL indicates that a script should be inserted
+# at the end
+# * The services specified in the stop tags
+# (Required-Stop/Should-Stop)
+# specify which services need to be still running when this service
+# is shut down. Often the entries there are just copies or a subset
+# from the respective start tag.
+# * Should-Start/Stop are now part of LSB as of 2.0,
+# formerly SUSE/Unitedlinux used X-UnitedLinux-Should-Start/-Stop.
+# insserv does support both variants.
+# * X-UnitedLinux-Default-Enabled: yes/no is used at installation time
+# (%fillup_and_insserv macro in %post of many RPMs) to specify whether
+# a startup script should default to be enabled after installation.
+# It's not used by insserv.
+#
+# Note on runlevels:
+# 0 - halt/poweroff 6 - reboot
+# 1 - single user 2 - multiuser without network exported
+# 3 - multiuser w/ network (text mode) 5 - multiuser w/ network and X11 (xdm)
+#
+# Note on script names:
+# http://www.linuxbase.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/scrptnames.html
+# A registry has been set up to manage the init script namespace.
+# http://www.lanana.org/
+# Please use the names already registered or register one or use a
+# vendor prefix.
+
+
+# Check for missing binaries (stale symlinks should not happen)
+# Note: Special treatment of stop for LSB conformance
+nfsen_BIN=/usr/bin/nfsen
+test -x $nfsen_BIN || { echo "$nfsen_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+# Check for existence of needed config file and read it
+#nfsen_CONFIG=/etc/sysconfig/nfsen
+#test -r $nfsen_CONFIG || { echo "$nfsen_CONFIG not existing";
+# if [ "$1" = "stop" ]; then exit 0;
+# else exit 6; fi; }
+
+# Read config
+#. $nfsen_CONFIG
+
+# Source LSB init functions
+# providing start_daemon, killproc, pidofproc,
+# log_success_msg, log_failure_msg and log_warning_msg.
+# This is currently not used by UnitedLinux based distributions and
+# not needed for init scripts for UnitedLinux only. If it is used,
+# the functions from rc.status should not be sourced or used.
+#. /lib/lsb/init-functions
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v be verbose in local rc status and clear it afterwards
+# rc_status -v -r ditto and clear both the local and overall rc status
+# rc_status -s display "skipped" and exit with status 3
+# rc_status -u display "unused" and exit with status 3
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num>
+# rc_reset clear both the local and overall rc status
+# rc_exit exit appropriate to overall rc status
+# rc_active checks whether a service is activated by symlinks
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - user had insufficient privileges
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+#
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+
+case "$1" in
+ start)
+ echo -n "Starting nfsen "
+ ## Start daemon with startproc(8). If this fails
+ ## the return value is set appropriately by startproc.
+ /sbin/startproc $nfsen_BIN start
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down nfsen "
+ ## Stop daemon with killproc(8) and if this fails
+ ## killproc sets the return value according to LSB.
+
+ $nfsen_BIN stop
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ ## Do a restart only if the service was active before.
+ ## Note: try-restart is now part of LSB (as of 1.9).
|